/*
 * Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License version 2.1 as published by the Free Software
 * Foundation.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301  USA
 */
package pl.chyla.wyjec.evaluator;


/**
 * Exception that indicates an error during expression evaluation. This class is just a wrapper
 * around the actual (runtime) exception which is available via <code>getCause()</code> method.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public class EvaluationException extends Exception {

    /**
     * Constructs <code>EvaluationException</code> instance with given cause of the error.
     *
     * @param cause exception that caused the error
     */
    EvaluationException(Throwable cause) {
        super(cause);
    }

}
