/*
 * Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License version 2.1 as published by the Free Software
 * Foundation.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301  USA
 */
package pl.chyla.wyjec.parser;


/**
 * Enumeration class that defines the type of an atom.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public final class AtomType {

    /**
     * Function atom, represented by {@link FunctionNode}.
     */
    public static final AtomType FUNCTION = new AtomType();

    /**
     * Value atom, represented by {@link ValueNode}.
     */
    public static final AtomType VALUE = new AtomType();

    /**
     * Private constructor to disallow instantiating of the class from outside.
     */
    private AtomType() { }

}
