/*
 * Wyjec - expression language, version 1.0
 * (c) Copyright by Zbigniew Chyla 2005
 *
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License version 2.1 as published by the Free Software
 * Foundation.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301  USA
 */
package pl.chyla.wyjec.utils;


/**
 * Generic interface for implementation of factory pattern. Every instance of
 * <code>IObjectsFactory</code> should produce instances of single type.
 *
 * @author Zbigniew Chyla (zbigniew@chyla.pl)
 */
public interface IObjectsFactory {

    /**
     * Generates new instance of type specific for concrete implementation of this interface.
     *
     * @return new instance of type supported by this factory
     */
    Object createObject();

}
